## Apache Zeta Components Manual :: Docs For Class ezcWebdavDateTime

### Webdav::ezcWebdavDateTime

### Class ezcWebdavDateTime

DateTime class with serialization support.

The PHP 5.2 DateTime class does not support serialization/deserialization with maintaining the stored time information. This class extends DateTime to solve the issue, which is needed especially when working with persistent ezcWebdavMemoryBackend instances.

Source for this file: /Webdav/src/tools/date_time.php

    DateTime
       |
       --ezcWebdavDateTime

Version: | //autogen//

### Inherited Constants

From DateTime (Internal Class):
`ATOM = 'Y-m-d\\TH:i:sP'` |
`COOKIE = 'l, d-M-y H:i:s T'` |
`ISO8601 = 'Y-m-d\\TH:i:sO'` |
`RFC822 = 'D, d M y H:i:s O'` |
`RFC850 = 'l, d-M-y H:i:s T'` |
`RFC1036 = 'D, d M y H:i:s O'` |
`RFC1123 = 'D, d M Y H:i:s O'` |
`RFC2822 = 'D, d M Y H:i:s O'` |
`RFC3339 = 'Y-m-d\\TH:i:sP'` |
`RSS = 'D, d M Y H:i:s O'` |
`W3C = 'Y-m-d\\TH:i:sP'` |

### Method Summary

public array(int=>string) | `__sleep( )` Backup the currently stored time.
public void | `__wakeup( )` Restores the backeuped time.

### Inherited Methods

From DateTime (Internal Class)
public DateTime | `constructor __construct ( [$time = ], [$object = ] )`
public void | `add ( $interval )`
public void | `createFromFormat ( $format, $time, [$object = ] )`
public void | `diff ( $object, [$absolute = ] )`
public void | `format ( $format )`
public void | `getLastErrors ( )`
public void | `getOffset ( )`
public void | `getTimestamp ( )`
public void | `getTimezone ( )`
public void | `modify ( $modify )`
public void | `setDate ( $year, $month, $day )`
public void | `setISODate ( $year, $week, [$day = ] )`
public void | `setTime ( $hour, $minute, [$second = ] )`
public void | `setTimestamp ( $unixtimestamp )`
public void | `setTimezone ( $timezone )`
public void | `sub ( $interval )`
public void | `__set_state ( )`
public void | `__wakeup ( )`

### Methods

#### __sleep

array(int=>string) __sleep( )

Backup the currently stored time.

This method is called right before serialization of the object. It backs up the current time information as an RCF 2822 formatted string and returns the name of the property this value is stored inside as an array to indicate that this property should be serialized.

#### __wakeup

void __wakeup( )

Restores the backeuped time.

This method is automatically called after deserializing the object and restores the backed up time information.

##### Redefinition of:

Method | Description
--- | ---
`DateTime::__wakeup ( )` |

Documentation generated by phpDocumentor 1.4.3